About Ativa Pro

Overview

Powerful Net Monitor

Ativa Pro is a powerful new all-in-one web utility capable of monitoring layer upon layer of valuable internet data. The advanced reporting module supplies clear, concise information about your computer's network performance and the 3-dimensional graphs offer instant visual performance indications covering a wide range of internet related data.

DUN Tweaker

The built-in Dial Up Networking Tweaker provides powerful finger-tip control of all your network settings allowing you to greatly enhance your network performance. Ativa Pro also comes with a full compliment of advanced utilities including keep-alive internet pinging, email checking, PC Clock update via internet time servers plus much more.

Detailed Logging

Network gurus can check out IP addresses and Domain Name Server entries for both local and remote machines and all net details are stored in the dynamic log file for instant analysis.

Here's a summary of Ativa's major features

Features

  • Bandwidth Monitor - SEE the data using the animated graph. GO
  • Auto Email checking! GO
  • Ativa DUN Tweaker! GO
  • PC Clock Update! GO
  • Comprehensive Reporting GO
  • Ping Me Alive! GO
  • Brilliant Event Notifiers! GO
  • One-click Internet update! GO

About Software Solutions

SoftSol Home Page link

Copyright (c) 2000 Software Solutions. All Rights reserved.


About Software Solutions

Software Solutions

SoftSol Home Page link

Ativa Pro Web: www.ativapro.com

Contact: sales@ativapro.com

SoftSol Web: www.softsol.cx

Contact: sales@softsol.cx

Ativa Pro Net Meter

A single user licence for the full version of Ativa entitles you to: Technical support and free upgrades for as long as the product is available.

Related Topics

See the topic entitled Registering Online for information about Online registration.


Evaluation Licence

Evaluation version licence agreement

Ativa Pro Copyright © 2000 Software Solutions. All rights reserved.

Subject to the following terms, you are licensed to use the evaluation version of Ativa for evaluation purposes without charge for a period of fifteen days. Please read the disclaimer before you do so.

The evaluation version of Ativa may NOT be distributed as part of any commercial product without a prior licence agreement. Licenses to incorporate the source into commercial products are also available.

Please read about why you should buy the registered version.

For information on the full version of Ativa see the section titled Full License.

Distribution of the evaluation version

Provided you verify that you are distributing the evaluation version, you are hereby licensed to make as many copies of the evaluation version of this software and documentation. Give exact copies of the original evaluation version to anyone, and distribute the evaluation version of the software and documentation in its unmodified form via electronic means; there is no charge.

However, you are specifically prohibited from charging or requesting donations for any such copies however made, and you are specifically prohibited from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.


Full Licence

Registered version licence agreement

Ativa Pro © 2000 Software Solutions. All rights reserved.

Please carefully read the following terms and conditions before using this software. Unless you have a different licence agreement signed by Software Solutions, your use of this software indicates your acceptance of this licence agreement and warranty.

For information on the evaluation version of Ativa, see the section titled Evaluation License.

Registered version

One registered copy of Ativa may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used asynchronously by multiple people, but not both.

You may access the registered version of Ativa through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.

Disclaimer of warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which Ativa may be installed, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program.

ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Please read the disclaimer before using this product.


Registering Online

You can register Ativa Pro online.

To Register Online, right-click on Ativa Pro's main screen. Choose Register from the popup menu. You will see the 'Enter Registration Key' window.

Click the blue text http://www.ativapro.com/register.htm which will connect you to the Ativa Pro web site registration page.

Have your credit card number ready. Once connected to the online registration page, follow the registration instructions.

Following payment, you will be issued with a registration number.

Enter your unique registration code into the edit boxes displayed in the Enter Registration Key window and click OK. You will now have a full working copy of Ativa Pro with no restrictions or time limits.

A single user licence for the full version of Ativa entitles you to: Technical support and free upgrades for as long as the product is available.

If you have problems registering, please contact sales@ativapro.com.

Related Topics

Registering by Post

Copyright (c) 2000 Software Solutions. All Rights reserved.


Ativa Pro Net Meter Credits

Ativa Pro Credits

Written and developed by:

Martin Platt martin@ativapro.com

www.ativapro.com

sales@ativapro.com

Thanks also for invaluable assistance from:

John Rutherford

Philip Knight

Debbie Ringer

Rob Brown

Ativa Pro Net Meter's main screen is based on a design by Marty van der Linden. email: marty@matdesign.demon.nl

www.matdesign.demon.nl

Ativa Pro's connect detail screen section is based on a design by Eduardo Sousa. email: edsousa@esoterica.pt.

Thanks to you both for an excellent screen.


Welcome to Ativa Pro

Ativa Pro's main screen

The screen-shot above shows a typical Ativa Pro session in action. Ativa Pro's main screen features a 4-way LCD panel detailing:

- LCD1 System Time, Connected Time and Ativa message information

- LCD2 IP Address and DNS entry of local and remote machines

- LCD3 Transfer statistics - bytes transmitted, received and connect speed

- LCD4 Internet Provider Monitor

The real-time bandwidth monitor provides an instant indication of network performance and displays transmit, receive and combined information.

The connect details section provides history information relating to all previous internet connections. Double-click an entry to get detailed connection info for that session.

Ativa is very configurable. You can change the graph colors to suite your tastes, hide window sections and specifiy whether the software should always appear on top of other windows or not. . The main graph area is displaying download/receive information in red, upload/transmit information in green and combined upload/download information in yellow. All these colors can be changed.

If you're wondering what all the buttons do, just click and find out - you can't harm Ativa Pro!

Web Update

Ativa Pro can connect to the internet and check for later versions of itself. It can also notify you of special offers and other products in the SoftSol range. Click here for futher information.

New HTML Help

You're reading it right now!


Tweaking your DUN Settings

Ativa Pro comes complete with everything you need to optimize and enhance your internet connection speed and improve PC to ISP reliability. What makes Ativa Pro extraordinary is its built in DUN Tweaker which provides the ultimate in Dial Up Networking configurability.

Optimizing Dial-Up Modem Connection Speed

By optimizing the MaxMTU & MaxMSS settings, together with the RWIN and TTL settings you can increase dialup modem connection reliability and performance by as much as 200%.

What is the MTU and MSS?

MTU stands for Maximum Transmission Unit and it defines the maximum size of a packet that can be transferred in one frame over a network. MSS or Maximum Segment Size defines how much actual data can put in that packet, and it should be a slightly smaller value than MTU to allow for packet addressing and other information. Why do the default values need to be changed? By default Windows hardcodes the value of MTU to equal 1500 bytes. This value is adequate for normal LAN networking, but when you're connecting to the Internet with a modem this value is too high. This can show itself in different ways, the most noticeable affect is less than peak performance. By adjusting this value to more closely match the requirements of a modem Internet connection, major performance gains can be achieved.

Optimizing the DefaultRcvWindow & DefaultTTL Settings

The optimization of RcvWindow and DefaultTTL, together with the other registry settings - MaxMTU and MaxMSS can speed up TCP/IP modem networking connections (eg. Internet connections). RWIN (Receive WINdow) is the buffer your machine waits to fill with data before attending to whatever other TCP transactions are occurring on the other threads and sockets WinSock has open while a connection is in progress.

TTL (Time To Live) defines how long a packet can stay active before being discarded. The default value is '32'.


Setting-up and Checking Email

Setting-up & Checking Email

Getting Ativa Pro to check your email is real easy. Just supply your POP3 server name (ask your ISP if you're unsure), your usual username and password. Tell Ativa how often to check your mail box and what should happen when new mail arrives - Ativa Pro can play a sound of your choice and/or display the list of emails for you to read.

Checking Mail

You can tell Ativa Pro how frequently you wish it to check your mail. You can also check your mail whenever you wish simply by clicking the check mail button on the main tool bar.


Notifications

Setting-up Notifications

Ativa Pro isn't just a Bandwidth Meter. You can use Ativa Pro to continually monitor your internet connection. If you would like to know when you've successfully connected to the net, Ativa can tell you. Interested in those unexpected disconnections? Ativa will give you the low-down straight-away. Concerned about your connection and performance? Ativa can keep you informed at the click of a button. Slow, unreliable connections can be highlighted immediately and Ativa gives you warning and the option to choose a better connection.


Auto Ping

Setting-up Auto Pinging

Ativa Pro isn't just a Bandwidth Meter. You can use Ativa Pro to continually monitor your internet connection. If your ISP disconnects you regulary becase they *think* your're not using their service, Auto-Ping can solve your disconnection problems right now. Simply specifiy how often the program should ping your specified host and leave Ativa Pro to take care of your unfriendly ISP! You can also test other connections/hosts to get an idea of your connection performance with them. The lower the time they take to respond, the better your connection.


Configure Ativa Pro Net Meter

Configuring Ativa Pro

Setting your Ativa Pro options is easy. Simply click the setting you want to change. There's no need to exit for your changes to take affect. As sson as you close the window, Ativa will refresh itself to match your new display requirements.

Important

If you make changes and click OK, those changes are permanent. Ativa recalls these settings each time it starts up.


Bandwidth Monitor

Real-Time Bandwidth Monitor

Ativa Pro's graphs provide real-time information about how much of your full bandwidth potential is being used at any given moment in time. You can actually SEE the data flowing to and from your computer.

The graph continually monitors Dial Up Networking activity, scrolling from right to left, providing bandwith usage information for the last 700 seconds. Data flow display height is automatically adjusted to your modem's maximum speed and the graph is capable of monitoring bit per second (bps) rates of upto 56000 bps.

The main screen features a fixed 'summary' monitor which can be peeled off to create a handy, floating, resizable monitor which also displays summary transfer statistics. Right-click over the main graph and choose the 'View Bandwidth Monitor' option from the popup menu to display the floating window.


Configuring Web Updates

Click the Configure button on the main toolbar. Choose the Web Update tab of the displayed window.

Internet Connection Settings

Select the dial-up connection you would like to use. Ativa will use this connection when performing Web Updates. You can configure your dial-up connection by clicking the Settings button.

Specifiying Web Update Actions

Ativa Pro can check for later versions of the program. Tick the Check for a newer version of Ativa box if you would like to receive a newer version of the program. Ativa can also check for special offers and inform you of other products in the SoftSol Internet range. Check the relevant box to receive the required information.

Important

If you make changes and click OK, those changes are permanent. Ativa recalls these settings each time it starts up.


Internet Update

Ativa Pro can connect to the internet in order to keep you up-to-date with the latest program developments, download newer versions of the program (for registered users) and notify you of product changes and special offers.

During an update, you will see step by step details of update progress. If you've configured Ativa Pro to Check for a Newer version then if appropriate, a new version URL will be displayed in the message window. Simply click on the URL to download the latest version. Check the Messages tab for details of update progress.

Note.

The evaluation version will not check or download later versions of the software. The registered version has no update or download restrictions.


PC Clock Update

Updateing your system clock

Ativa Pro comes complete with everything you need to automatically update your PC's system clock using one of the many Internet Time Servers. Choose an internet time server from the list of available servers. You can add, edit and delete items from this list by clicking on the edit button. Check the Ativa Pro web site for an up-to-date list of time servers.

Check and update your PC's system clock by clicking the update now button. If you want Ativa Pro to update your clock at regular intervals, select the interval and check the Update Every checkbox.


What Version do I have

What version of Ativa Pro do I have?

To check which version of Ativa you have, right-click on the main screen and choose the About... item from the popup menu.

Related Information

Evaluation licence agreement

Full licence agreement

Copyright (c) 2000 Software Solutions. All Rights reserved.


Why buy the full version?

The evaluation version of Ativa Pro is available free of charge, uses exactly the same basic engine as the full version. After 10 days you will see a window indicating the number of days you have been using the software. The software in its current form is free however, there are a number of good reasons to pay for the full product. These are outlined below:

1 The registered version contains no time limit restrictions

2 Only the registered version has the ability to download new versions of the software.

3 The registered version has no restrictions on Internet Updates

4 Unless you have the full version, you are not permitted to any technical support, upgrades or patches.

5 The full version and its accompanying help files are constantly developed and improved; the evaluation version is not.

Register a single user licence for the full version of Ativa Pro and you will get: Technical support and free upgrades for as long as the product is available.

Related Topics

See the topic entitled Registering Online for information about Online registration.


Disclaimer

Ativa Pro is supplied on an "as-is" basis. The author offers no warranty of its fitness for any purpose whatsoever, and accepts no liability whatsoever for any loss or damage incurred by its use. Data gathered by the program cannot be used as evidence of any action.

The evaluation version of Ativa Pro is NOT a supported product. The author accepts no commitment or liability to address any problems that may be encountered in using it. If you wish to receive support and upgrades, please purchase the registered version.

Copyright (c) 2000 Software Solutions. All Rights Reserved

Microsoft and Windows are registered trademarks of Microsoft Corp. All other trademarks and tradenames are acknowledged as property of their respective owners.


Comprehensive Reporting

Comprehensive Connection Reports

The advanced reporting module supplies clear, concise information about your computer's network performance and the 3-dimensional graphs offer instant visual performance indications covering a wide range of internet related data.

Click the Report button on Ativa Pro's main screen to access the full range of reports in a friendly 'Outlook' style window.

Copyright (c) 1999 Software Solutions. All Rights reserved.


Technical Support

Software Solutions

SoftSol Home Page link

Web: www.ativapro.com

Contact: sales@ativapro.com

Support: support@ativapro.com

Ativa Pro Support

Technical Support is only available to registered users.

A single user licence for the full version of Ativa entitles you to: Technical support and free upgrades for as long as the product is available.

Related Topics

See the topic entitled Registering Online for information about Online registration.